Loading...
Searching...
No Matches
profiler.h File Reference
Extensions » Profiler

pipewire/extensions/profiler.h More...

Go to the source code of this file.

## Data Structures

struct | pw_profiler_events
| Profiler events More...
struct | pw_profiler_methods
| Profiler methods More...

## Macros

#define | PW_TYPE_INTERFACE_Profiler PW_TYPE_INFO_INTERFACE_BASE "Profiler"
#define | PW_VERSION_PROFILER 3
#define | PW_API_PROFILER static inline
#define | PW_EXTENSION_MODULE_PROFILER PIPEWIRE_MODULE_PREFIX "module-profiler"
#define | PW_PROFILER_PERM_MASK PW_PERM_R
#define | PW_PROFILER_EVENT_PROFILE 0
#define | PW_PROFILER_EVENT_NUM 1
#define | PW_VERSION_PROFILER_EVENTS 0
#define | PW_PROFILER_METHOD_ADD_LISTENER 0
#define | PW_PROFILER_METHOD_NUM 1
#define | PW_VERSION_PROFILER_METHODS 0
#define | PW_KEY_PROFILER_NAME "profiler.name"

## Functions

PW_API_PROFILER int | pw_profiler_add_listener (struct pw_profiler *object, struct spa_hook *listener, const struct pw_profiler_events *events, void *data)

## Detailed Description

pipewire/extensions/profiler.h